#!/usr/bin/python3
# import the necessary packages
from picamera.array import PiRGBArray
from picamera import PiCamera
import time
import cv2 as cv
 
import numpy as np
import time

#######################################################
# initialize the camera and grab a reference to the raw camera capture
camera = PiCamera()
camera.resolution = (1920, 1080)
camera.framerate = 30
rawCapture = PiRGBArray(camera, size=camera.resolution)
print(rawCapture)
# allow the camera to warmup
time.sleep(0.1)
print(" presser s pour sauver une image puis q pour quitter")

cptimage=1
# capture frames from the camera
for frame in camera.capture_continuous(rawCapture, format="bgr", use_video_port=True):
    # grab the raw NumPy array representing the image - this array
    # will be 3D, representing the width, height, and # of channels
    #image = frame.array
        #ROI 
    image= frame.array
    # show the frame
    cv.imshow("image", image)
    key = cv.waitKey(1) & 0xFF
    # clear the stream in preparation for the next frame
    rawCapture.truncate(0) 
    # if the `q` key was pressed, break from the loop
    if key == ord("q"):
            break
    if key == ord("s"):
            filenameout='imacalib'+str(cptimage)+'.jpg'
            print("sauve "+filenameout)
            cv.imwrite(filenameout,image) 
            cptimage+=1
cv.destroyAllWindows()
